Add link to filtered Abuse filter log on Special:Contributions
Closed, ResolvedPublic

Description

Abuse Filter Log Link On Contribs

As the abuse filter can restrict a user's editing, it is sometimes useful to have a direct link from a user's contributions page to the filtered Abuse log for that specific user.

This patch uses the ContributionsToolLinks hook to add a new link to the tool links at the top of the contributions page, giving a link to that users' abuse log. If the user viewing the page does not have the abusefilter-log userright, the link is not added.


Version: unspecified
Severity: enhancement

attachment AbuseFilterLogLinkOnContribs.patch ignored as obsolete

bzimport set Reference to bz18423.
stwalkerster created this task.Via LegacyApr 10 2009, 3:00 PM
stwalkerster added a comment.Via ConduitApr 18 2009, 1:37 PM

Created attachment 6036
Abuse Filter Log Link On Contribs (tweaked)

Fixed a couple of issues raised on IRC

attachment AbuseFilterLogLinkOnContribs2.patch ignored as obsolete

werdna added a comment.Via ConduitApr 23 2009, 3:41 AM

(In reply to comment #1)

Created an attachment (id=6036) [details]
Abuse Filter Log Link On Contribs (tweaked)

Fixed a couple of issues raised on IRC

+ array('title' => 'Abuse Log for this user') ,

Needs localisation.

stwalkerster added a comment.Via ConduitApr 23 2009, 3:21 PM

Created attachment 6050
Abuse filter contribs log link patch three

Fixed localisation issue

Attached: ab-3.patch

werdna added a comment.Via ConduitApr 24 2009, 3:37 AM

Applied with double-escaping, localisation and whitespace fixes in r49791.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.